#!/bin/bash
# -*- coding: utf-8 -*-
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8
source /scripts/ipv6_functions

TVE_IP=${*: -3:1}
_prepareForIPv6 ${TVE_IP} TVE_IP
SCRIPTS_PATH=${*: -2:1}

empty_string='""'
vnf_management_if="mgmt0"

source /scripts/token-env.sh

command_header="curl -s -H \"X-Auth-Token:$TOKEN\" -H \"Content-type:application/json\" "
command_path="https://${TVE_IP}:7373"
ssl_insecure=$(cat /etc/tveapi/tveapi.conf | egrep -v "(^#.*)" | grep ssl_no_validate | cut -f2 -d'=' | tr -d ' ')
if [ -z  ${ssl_insecure} ]; then
  ssl_insecure=False
elif [ "true" == "${ssl_insecure}" ] || [ "True" == "${ssl_insecure}"  ]; then
  command_header+="--insecure"
fi

source ${SCRIPTS_PATH}/common-commands.sh
source /scripts/basic_vars
source /scripts/basic_functions

function set_hostname() {
  IFS='#' tokens=( $1 )
  local new_hostname=${tokens[0]}

  if [ ! -z $new_hostname ] ; then
    vms_count=`ls /run/ | grep "\.vnic" | wc -l`
    if (( "$vms_count" < 1)); then
      /scripts/apply_system_sysrepo.py -h $new_hostname
      if [ "active" = "$(systemctl is-active kubelet.service)" ]; then
        if [ -f "/etc/kubernetes/pki/ca.crt" -a ! -f "/config/k8s-disabled" ]; then
          sudo systemctl restart nfvtime-kubernetes-init.service
        fi
      fi
    else
      echo "Cannot change hostname while VMs are running."
    fi
  fi
}

case "$1" in
  set_hostname)
    set_hostname $2
    ;;
  *)
    echo "Unknown operation"
    exit 1
    ;;
esac

exit 0
